> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sonect.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Settle order

> Confirms transaction is finalised and payment should be made to given Sonect account. If response is positive then transaction is created presented to user. If negative transaction is not created.



## OpenAPI

````yaml 13 post /api/sonect/settlewithdrawal
openapi: 3.0.0
info:
  title: finAPI Access Product - V2
  version: 1.0.0
servers:
  - url: http://127.0.0.1:3000
security: []
tags:
  - name: '** 1. Pre- Requirements  **'
  - name: 'Use Case 1a: Import, Update & get Account info (demo bank)'
  - name: >-
      Use Case 1a: Import, Update & get Account info (demo bank) > 2. Import a
      bank connection
  - name: >-
      Use Case 1a: Import, Update & get Account info (demo bank) > 3. Update
      bank connection
  - name: >-
      Use Case 1a: Import, Update & get Account info (demo bank) > 4. Get
      Accounts & Transactions
  - name: 'Use Case 1b:  Import, Update & get Account info (Real Bank)'
  - name: >-
      Use Case 1b:  Import, Update & get Account info (Real Bank) > 2. Import a
      bank connection
  - name: >-
      Use Case 1b:  Import, Update & get Account info (Real Bank) > 3. Update
      bank connection
  - name: >-
      Use Case 1b:  Import, Update & get Account info (Real Bank) > 4. Get
      Accounts & Transactions
  - name: 'Use Case 2 : Standalone payment'
  - name: 'Use Case 2 : Standalone payment > 2. Create Payment'
  - name: 'Use Case 2 : Standalone payment > 3. Check Payment Status'
  - name: 'Use Case 3 : Payment with accountId'
  - name: 'Use Case 3 : Payment with accountId > 2. Create Payment'
  - name: 'Use Case 3 : Payment with accountId > 3. Check Payment Status'
  - name: 'Use Case 4: Direct debit'
  - name: 'Use Case 4: Direct debit > 2. Create Payment'
  - name: 'Use Case 4: Direct debit > 3. Check Payment Status'
  - name: 'Use Case 5: Standing Orders'
  - name: 'Use Case 5: Standing Orders > 2. Create Payment'
  - name: 'Use Case 5: Standing Orders > 3. Check Payment Status'
  - name: '** Clean up **'
paths:
  /api/sonect/settlewithdrawal:
    post:
      summary: Settle order
      description: >-
        Confirms transaction is finalised and payment should be made to given
        Sonect account. If response is positive then transaction is created
        presented to user. If negative transaction is not created.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/settlewithdrawalRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
      security:
        - bearerAuth: []
components:
  schemas:
    settlewithdrawalRequest:
      type: object
      properties:
        userId:
          type: string
        TransactionId:
          type: string
        DateOperation:
          type: string
        SonectTransactionReferenceId:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````